com.aliyun.svideosdk.common.struct.common

## Class AliyunVideoClip.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunVideoClip.Builder

- Enclosing class:
    AliyunVideoClip

      public static final class AliyunVideoClip.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunVideoClip` | `build()`
    `AliyunVideoClip.Builder` | `displayMode(AliyunDisplayMode mode)` 设置显示模式
    `AliyunVideoClip.Builder` | `duration(long durationMills)` 设置时长
    `AliyunVideoClip.Builder` | `endTime(long endTimeMills)` 设置结束时间
    `AliyunVideoClip.Builder` | `id(int id)` 设置ID
    `AliyunVideoClip.Builder` | `rotation(int rotation)` 设置视频的旋转角度
    `AliyunVideoClip.Builder` | `source(java.lang.String source)` 设置视频源
    `AliyunVideoClip.Builder` | `startTime(long startTimeMills)` 设置开始时间
    `AliyunVideoClip.Builder` | `transition(TransitionBase transition)` 设置转场动画

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### rotation

          public AliyunVideoClip.Builder rotation(int rotation)

      设置视频的旋转角度
      Parameters:
        `rotation` - 角度
      Returns:
        this

    - #### source

          public AliyunVideoClip.Builder source(java.lang.String source)

      设置视频源
      Parameters:
        `source` - 视频路径，只支持本地文件路径
      Returns:
        this

    - #### transition

          public AliyunVideoClip.Builder transition(TransitionBase transition)

      设置转场动画
      Parameters:
        `transition` - 转场动画对象
      Returns:
        this
      See Also:
        `TransitionBase`

    - #### displayMode

          public AliyunVideoClip.Builder displayMode(AliyunDisplayMode mode)

      设置显示模式
      Parameters:
        `mode` - 显示模式
      Returns:
        this
      See Also:
        `AliyunDisplayMode`

    - #### duration

          public AliyunVideoClip.Builder duration(long durationMills)

      设置时长
      Parameters:
        `durationMills` - 单位ms
      Returns:
        this

    - #### id

          public AliyunVideoClip.Builder id(int id)

      设置ID
      Parameters:
        `id` -
      Returns:
        this

    - #### startTime

          public AliyunVideoClip.Builder startTime(long startTimeMills)

      设置开始时间
      Parameters:
        `startTimeMills` - 单位: 毫秒
      Returns:
        this

    - #### endTime

          public AliyunVideoClip.Builder endTime(long endTimeMills)

      设置结束时间
      Parameters:
        `endTimeMills` - 单位: 毫秒
      Returns:
        this

    - #### build

          public AliyunVideoClip build()